using System;

namespace Petlja
{
    class Program
    {
        static void Main(string[] args)
        {
         String c = Console.ReadLine();
            String d = Console.ReadLine();

            if (c[0] == c[1])
            {
                Exception error = new Exception("Perino i Petrino slovo ne smeju biti ista");
                throw error;
            }
            else if (!(c[0] >= 'a' && c[1] <= 'z' || c[0] >= 'a' && c[1] <= 'z'))
            {
                Exception error = new Exception("Slova moraju biti mala slova engleskog alfabeta");
                throw error;
            }

            int num1 = (int)(d[0] - '0');
            int num2 = (int)(d[2] - '0');

            if (!(num1 >= 1 || num2 <= 50000))
            {
                Exception error = new Exception("Broj Perinih i Petrinih slova je izvan dozvoljenog opsega:");
                throw error;
            }
            if (d[1] != ' ')
            {
                Exception error = new Exception("Broj slova uneti sa razmakom");
                throw error;
            }

            if (!((Math.Abs(num1 - num2) == 0) || (Math.Abs(num1 - num2) == 1)))
            {
                Console.WriteLine("nemoguce");
            }
            else
            {
                int velniza = num1 + num2;
                char[] nizchar = new char[velniza];
                char a, b;
                if (num1 < num2)
                {
                    a = c[0];
                    b = c[1];
                }
                else
                {
                    b = c[0];
                    a = c[1];
                }

                for (int i = 0; i < velniza; i++)
                {
                    if (i % 2 == 0)
                    {
                        nizchar[i] = b;
                    }
                    else
                    {
                        nizchar[i] = a;
                    }
                }
                string s = new string(nizchar);
                Console.WriteLine(s);
            }
        }
    }
}